Package org.opensaml.core.xml.persist

# Class FilesystemLoadSaveManager.FileIterable

java.lang.Object
org.opensaml.core.xml.persist.FilesystemLoadSaveManager.FileIterable

All Implemented Interfaces:
  `Iterable<Pair<String,T>>`

Enclosing class:
  FilesystemLoadSaveManager<T extends XMLObject>

private class FilesystemLoadSaveManager.FileIterable extends Object implements Iterable<Pair<String,T>>
Iterable which provides lazy iteration over the managed files.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Set<String>`
`keys`
Snapshot of filesystem keys at time of construction.

## Constructor Summary

Constructors
Constructor
Description
`FileIterable(Collection<String> filenames)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Iterator<Pair<String,T>>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### keys

@Nonnull private Set<String> keys
Snapshot of filesystem keys at time of construction.

## Constructor Details

### FileIterable

public FileIterable(@Nonnull Collection<String> filenames)
Constructor.

Parameters:
  `filenames` - Snapshot of filesystem keys at time of construction

## Method Details

### iterator

public Iterator<Pair<String,T>> iterator()

Specified by:
  `iterator` in interface `Iterable<Pair<String,T extends XMLObject>>`